Uploaded image for project: 'Bigtop'
  1. Bigtop
  2. BIGTOP-3077

OpenSuse-42.3 packages install error

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.2.1
    • Fix Version/s: 1.3.0
    • Component/s: docker, toolchain
    • Labels:
      None

      Description

      OpenSuse toolchain image will install libapr1-1.4.6 using repo:
      http://download.opensuse.org/distribution/12.3/repo/oss/suse/

      This repo only provides x86_64 binaries. So for non-x86 platforms the image build is incomplete. Example logs can be found at:
      https://ci.bigtop.apache.org/job/Docker-Toolchain-1.3.0/6/DISTRO=opensuse-42.3,PLATFORM=ppc64le-slave/console

      Also there are some libraries dependency issues on aarch64 which result in libxml2-devel/libxslt-devel/boost-devel failed to install.:
      https://ci.bigtop.apache.org/job/Docker-Toolchain-1.3.0/6/DISTRO=opensuse-42.3,PLATFORM=aarch64-slave/console

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                jun.he Jun He
                Reporter:
                jun.he Jun He
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: